Test::Search::Test Class Reference

Base class for search tests More...

## Public Member Functions

| Test (const std::string &s, HowToBranch _htb1, HowToBranch _htb2, HowToBranch _htb3, HowToConstrain _htc=HTC_NONE)
| Initialize test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual bool | run (void)=0
| Run test.
virtual | ~Base (void)
| Destructor.

## Static Public Member Functions

static std::string | str (unsigned int i)
| Map unsigned integer to string.
static std::string | str (HowToBranch htb)
| Map branching to string.
static std::string | str (HowToConstrain htc)
| Map constrain to string.
Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.

## Public Attributes

HowToBranch | htb1
| How to branch.
HowToBranch | htb2
HowToBranch | htb3
HowToConstrain | htc
| How to constrain.

## Additional Inherited Members

Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Base class for search tests

Definition at line 312 of file search.cpp.

## Constructor & Destructor Documentation

## Test()

Test::Search::Test::Test | ( | const std::string & | s,
|  | HowToBranch | _htb1,
|  | HowToBranch | _htb2,
|  | HowToBranch | _htb3,
|  | HowToConstrain | _htc = HTC_NONE )

inline

Initialize test.

Definition at line 350 of file search.cpp.

## Member Function Documentation

## str() [1/3]

std::string Test::Search::Test::str | ( | unsigned int | i | ) |

inline static

Map unsigned integer to string.

Definition at line 319 of file search.cpp.

## str() [2/3]

std::string Test::Search::Test::str | ( | HowToBranch | htb | ) |

inline static

Map branching to string.

Definition at line 325 of file search.cpp.

## str() [3/3]

std::string Test::Search::Test::str | ( | HowToConstrain | htc | ) |

inline static

Map constrain to string.

Definition at line 337 of file search.cpp.

## Member Data Documentation

## htb1

HowToBranch Test::Search::Test::htb1

How to branch.

Definition at line 315 of file search.cpp.

## htb2

HowToBranch Test::Search::Test::htb2

Definition at line 315 of file search.cpp.

## htb3

HowToBranch Test::Search::Test::htb3

Definition at line 315 of file search.cpp.

## htc

HowToConstrain Test::Search::Test::htc

How to constrain.

Definition at line 317 of file search.cpp.

The documentation for this class was generated from the following file:

- test/search.cpp